Description

The macro manager feature will work like below:

- User could import macros to UppLocal from TheIDE level

- User could export all his UppLocal macros outside TheIDE.

- We should add create macro that will be placed in UppLocal. (Can be done in the future)

- User could select macro and the jump to macro edition (Package and global)

- Macro manager would list all available macros (Package and global)

- The option will be available at menu -> Setup -> Macro manager

I am currently working on that feature with Omari. We are developing this feature on Slack. It should be released in 2017.2. Now we need

to polish this feature and eliminate bugs :)

TODO list:

- Exportation should only work for UppLocal dear - package macros should not be exported!!!

- Function/Macro in code preview should display the real macro declaration - it shouldn't be created inside macro editor.

- Minor code improvements - done by me by code improvement.

- Feature testing.

- Hight quality code - as always in the U++ :) Code review via comments in sources file.

Related issues:

Related to Documentation # 1718: Create "Macro manager" documentation Approved 05/12/2017

History

#1 - 05/03/2017 01:25 AM - Zbigniew Rebacz

- Description updated

#2 - 05/03/2017 01:25 AM - Zbigniew Rebacz

- Description updated

#3 - 05/12/2017 09:57 PM - Zbigniew Rebacz

- Related to Documentation #1718: Create "Macro manager" documentation added

#4 - 06/17/2017 09:28 PM - Zbigniew Rebacz

- Status changed from New to Approved

- Assignee changed from Abdelghani Omari to Zbigniew Rebacz
